const path = require('path');

module.exports = {
  entry: './src/js/gogocarto.ts',
  module: {
    rules: [
      {
        test: /\.ts$/,
        use: 'ts-loader',
        exclude: /node_modules/,
        include: path.resolve(__dirname, 'src'),
      },
    ],
  },
  resolve: {
    extensions: ['.ts', '.js'],
  },
  devtool: 'inline-source-map',
  output: {
    filename: 'directory.js',
    path: path.resolve(__dirname, 'web'),
    library: 'goGoCarto',
    libraryTarget: 'window',
    libraryExport: 'default'
  },
  mode: "development",
  devServer: {
    static: './web',
  }
};